/**
 * Module dependencies.
 */
var crypto = require('crypto')
var config = require('../config/conftool').getConf();


exports.decryptSocketKey = function(encryptedSocketKey, cb){
  try{
    var decipher = crypto.createDecipher('aes-256-cbc', config.socketPass);
    var user = decipher.update(encryptedSocketKey, 'base64', 'utf8');
    user += decipher.final('utf8');
    //TODO verify code 
    return cb(JSON.parse(user));
  }catch(e){
    return cb(null);
  }
}

